'use client'

import {createContext, useState} from 'react';

const defaultState = {
    currentVersion: '',
    currentServer: '',
    setCurrentVersion: () => {},
    setCurrentServer: () => {}
};
export const AppContext = createContext(defaultState);

export function AppProvider({ children }) {
    const [currentVersion, setCurrentVersion] = useState('');
    const [currentServer, setCurrentServer] = useState('');

    return <AppContext.Provider value={{ currentVersion, currentServer, setCurrentVersion, setCurrentServer }}>
        {children}
    </AppContext.Provider>
}
